Bug 426228 - Review Request: perl-Class-Inner - A perlish implementation of Java like inner classes
Review Request: perl-Class-Inner - A perlish implementation of Java like inne...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 426230
  Show dependency treegraph
 
Reported: 2007-12-19 08:18 EST by Xavier Bachelot
Modified: 2007-12-21 07:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-21 07:42:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2007-12-19 08:18:35 EST
Spec URL: http://washington.kelkoo.net/fedora/SPECS/perl-Class-Inner.spec
SRPM URL: http://washington.kelkoo.net/fedora/SRPMS/perl-Class-Inner-0.1-1.fc8.src.rpm
Description: 
Yet another implementation of an anonymous class with per object overrideable
methods, but with the added attraction of sort of working dispatch to the
parent class's method.
Comment 1 Xavier Bachelot 2007-12-19 11:42:15 EST
rpmlint gives a clean output.
Comment 2 Jason Tibbitts 2007-12-20 01:09:09 EST
This failed to build for me due to a missing build dependency on Test::More:

t/basic....Can't locate Test/More.pm in @INC (@INC contains: ...

Adding that gets things to build.
Comment 3 Xavier Bachelot 2007-12-20 03:54:11 EST
(In reply to comment #2)
> This failed to build for me due to a missing build dependency on Test::More:
> 
> t/basic....Can't locate Test/More.pm in @INC (@INC contains: ...
> 
> Adding that gets things to build.
> 
Yup, seen that at home yesterday night. The strange thing is it did build
properly on my mock setup.

Fixed in http://washington.kelkoo.net/fedora/SRPMS/perl-Test-Unit-0.25-2.fc8.src.rpm
Comment 4 Xavier Bachelot 2007-12-20 03:58:43 EST
oops, bad link. The good one is
http://washington.kelkoo.net/fedora/SRPMS/perl-Class-Inner-0.1-2.fc8.src.rpm
Comment 5 Jason Tibbitts 2007-12-20 16:26:02 EST
Source URL should probably be http://search.cpan.org/dist/Class-Inner/.

There's usually no reason to put the class name in the summary, since it's
derivable from the package name, but this isn't really a big deal.

I don't see how you came to "GPLv2+ or Artistic 2.0" for the license tag.  All
I can see is that the README says "same as Perl", which is GPL+ or Artistic.

This package puts a file in %{perl_vendorlib}/Class but doesn't own it or
depend on anything that owns it.


* source files match upstream:
   b4dcb388ac32923adbb9d2a501216a4fe039de4d6a447cc163c110826df81467
   Class-Inner-0.1.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field does not match the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Class::Inner) = 0.1
   perl-Class-Inner = 0.1-2.fc9
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(strict)
   perl(vars)

* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=13,  0 wallclock secs ( 0.01 cusr +  0.00 csys =  0.01 CPU)

X owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 6 Xavier Bachelot 2007-12-20 16:58:41 EST
http://washington.kelkoo.net/fedora/SRPMS/perl-Class-Inner-0.1-3.fc8.src.rpm

Summary, License and URL fixed.
Directory ownership fixed.
Comment 7 Jason Tibbitts 2007-12-20 18:09:40 EST
Awesome; looks great.  APPROVED
Comment 8 Xavier Bachelot 2007-12-20 18:40:42 EST
Thanks for the quick review tibbs.

New Package CVS Request
=======================
Package Name: perl-Class-Inner
Short Description: A perlish implementation of Java like inner classes
Owners: xavierb
Branches: F-8
InitialCC: 
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2007-12-20 23:46:46 EST
cvs done.
Comment 10 Xavier Bachelot 2007-12-21 07:42:57 EST
Thanks Kevin.

Package imported and built for devel and F-8.

Note You need to log in before you can comment on or make changes to this bug.